<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */

abstract class UserSendRequestController extends Modules_PleskLvemanager_Controllers_Spa
{
    protected $pluginName;
    public function init()
    {
        parent::init();
        if( !$this->clientId ) {
            $domain = $this->session->getCurrentDomain();
            $this->client = $domain->getClient();
            $this->clientId = $this->client->getId();
        }
    }

    /**
     * @throws pm_Exception
     */
    public function indexAction()
    {
        $this->userType = self::OWNER_USER;

        if($_SERVER['REQUEST_METHOD'] != 'POST') {
            $this->sendErrorResponse('Method Not Allowed', $statusCode=405);
        }

        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender(true);
        $this->processRequest(self::OWNER_USER, $this->pluginName);
    }
}
